org.apache.struts2.util

## Class InvocationSessionStore

- java.lang.Object
- - org.apache.struts2.util.InvocationSessionStore

-     public class InvocationSessionStore
      extends Object

  InvocationSessionStore

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionInvocation` | `loadInvocation(String key, String token)` Checks the Map in the Session for the key and the token.
    `static void` | `storeInvocation(String key, String token, ActionInvocation invocation)` Stores the DefaultActionInvocation and ActionContext into the Session using the provided key for loading later using `loadInvocation(java.lang.String, java.lang.String)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadInvocation

          public static ActionInvocation loadInvocation(String key,
                                        String token)

      Checks the Map in the Session for the key and the token. If the ActionInvocation is saved in the Session, the ValueStack from the ActionProxy associated with the ActionInvocation is set into the ActionContext and the ActionInvocation is returned.
      Parameters:
        `key` - the name the DefaultActionInvocation and ActionContext were saved as
        `token` - token for check
      Returns:
        the DefaultActionInvocation saved using the key, or null if none was found

    - #### storeInvocation

          public static void storeInvocation(String key,
                             String token,
                             ActionInvocation invocation)

      Stores the DefaultActionInvocation and ActionContext into the Session using the provided key for loading later using `loadInvocation(java.lang.String, java.lang.String)`
      Parameters:
        `key` - the name the DefaultActionInvocation and ActionContext were saved as
        `token` - token for check
        `invocation` - the action invocation

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.